NppStInterpolationState Struct Reference
NPPST Core » NPPST Image Processing

Frame interpolation state. More...

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

## Public Attributes

NcvSize32u | size
| frame size More...
Ncv32u | nStep
| pitch More...
Ncv32f | pos
| new frame position More...
Ncv32f * | pSrcFrame0
| frame 0 More...
Ncv32f * | pSrcFrame1
| frame 1 More...
Ncv32f * | pFU
| forward horizontal displacement More...
Ncv32f * | pFV
| forward vertical displacement More...
Ncv32f * | pBU
| backward horizontal displacement More...
Ncv32f * | pBV
| backward vertical displacement More...
Ncv32f * | pNewFrame
| new frame More...
Ncv32f * | ppBuffers [6]
| temporary buffers More...

## Detailed Description

Frame interpolation state.

This structure holds parameters required for frame interpolation. Forward displacement field is a per-pixel mapping from frame 0 to frame 1. Backward displacement field is a per-pixel mapping from frame 1 to frame 0.

Definition at line 117 of file NPP_staging.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp